<?php
/*
** Zabbix
** Copyright (C) 2001-2015 Zabbix SIA
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/


/* WIDGET - CELA STRANKA*/
$dnsWidget = (new CWidget())->setTitle(_('DNS Configuration'));

/* TABY PRES CELOU STRANKU */
$dnsTab = new CTabView();

	/* OBSAH TABU "WEB" */
	/* DIV s obsahem tabu WEB */

	
	$dnsForm = new CForm();
	$dnsForm->setName('dnsForm');
	
	$dnsFormList = (new CFormList());
	
	$dnsBox = (new CTextBox('dnsservers', $data['dnsservers'], false, ZBX_TEXTAREA_STANDARD_WIDTH))->addStyle('width: 40em');
	
	$now = new DateTime();
	
	$dnsFormList->addRow((new CLabel(_('DNS Servers')))->setHint(_('You can set multiple ip separated by comma'),'',false), $dnsBox);
	
	$dnsForm->addItem($dnsFormList);
	
	$dnsForm->addItem(makeFormFooter(new CSubmit('update', _('Update')),[new CRedirectButton(_('Cancel'), $data['backurl'])]));
	
$dnsTab->addTab('form', _('Form'), $dnsForm);











// append form to widget
$dnsWidget->addItem($dnsTab);

return $dnsWidget;
