<?php
/*
** Zabbix
** Copyright (C) 2001-2015 Zabbix SIA
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/


/* WIDGET - CELA STRANKA*/
$ntpWidget = (new CWidget())->setTitle(_('NTP Configuration'));

/* TABY PRES CELOU STRANKU */
$ntpTab = new CTabView();

	/* OBSAH TABU "WEB" */
	/* DIV s obsahem tabu WEB */

	
	$ntpForm = new CForm();
	$ntpForm->setName('backupNfsForm');
	
	$ntpFormList = (new CFormList());
	
	$ntpBox = (new CTextBox('ntpservers', $data['ntpservers'], false, ZBX_TEXTAREA_STANDARD_WIDTH))->addStyle('width: 40em');
	
	$now = new DateTime();
	
	$ntpFormList->addRow(new CLabel(_('Local time')), $now->format('d.m.Y H:i:s'));
	$ntpFormList->addRow((new CLabel(_('NTP Servers')))->setHint(_('You can set multiple ip/fqdn separated by comma'),'',false), $ntpBox);
	
	$ntpForm->addItem($ntpFormList);
	
	$ntpForm->addItem(makeFormFooter(new CSubmit('update', _('Update')),[new CRedirectButton(_('Cancel'), $data['backurl'])]));
	
$ntpTab->addTab('form', _('Form'), $ntpForm);











// append form to widget
$ntpWidget->addItem($ntpTab);

return $ntpWidget;
