<?php
/*
** Zabbix
** Copyright (C) 2001-2015 Zabbix SIA
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/


/* WIDGET - CELA STRANKA*/
$snmpWidget = (new CWidget())->setTitle(_('ELISA SNMP'));

/* TABY PRES CELOU STRANKU */
$snmpTab = new CTabView();

	/* OBSAH TABU "WEB" */
	/* DIV s obsahem tabu WEB */
	$mibDiv = new CDiv();

	//$mibDiv->addItem((new CTag('h1',true,_('SNMP - MIB soubory'))));
	$mibDiv->addItem((new CTag('h3',true,_('SNMP - MIB files'))));
	//$mibDiv->addItem((new CDiv(_('ELISA umožňuje příjímat události v podobě SNMP Trapů. Zařízení různých výrobců nebo i různé typy zařízení téhož výrobce zasílají SNMP Trapy se specifickou strukturou dat a tzv. MIB soubor tuto strukturu popisuje. Aby bylo možné SNMP Trapy správně dekódovat, je třeba do ELISA naimportovat MIB soubory dodávané k zařízení jeho výrobcem.'))));
	$mibDiv->addItem((new CDiv(_('ELISA allows receiving events as SNMP traps. Devices from different manufacturers or even different types of devices from the same manufacturer send SNMP traps in a specific data structure. MIB file describes this structure. In order to correctly decode the SNMP trap, it is necessary to import MIB files provided to the device by the manufacturer. You can also view the list of currently loaded MIB files.'))));
	$mibDiv->addItem((new CTag('br')));
	//$mibDiv->addItem((new CDiv(_('Níže naleznete přehled aktuálně nahraných MIB souborů a můžete provést import dalších MIB definic ve formátu textového souboru.'))));
	//$mibDiv->addItem((new CDiv(_('Below is a list of currently recorded MIB files, and you can import additional MIB definitions in text file format.'))));
	//$mibDiv->addItem((new CTag('br')));
	//$mibDiv->addItem((new CButton('web_current', _('Aktuálně naimportované MIB soubory')))
	$mibDiv->addItem((new CButton('web_current', _('Show inventory of imported MIB files')))
					->onClick('PopUpOld("elisa_snmp_mib_curr.php?fullscreen=1")'));
	$mibDiv->addItem((new CTag('br')));
	$mibDiv->addItem((new CTag('br')));
	$mibDiv->addItem((new CTag('br')));



	//$mibDiv->addItem((new CTag('h1',true,_('Importovat MIB soubor'))));
	$mibDiv->addItem((new CTag('h3',true,_('MIB file Import'))));
	//$mibDiv->addItem((new CDiv(_('Po nahrání souboru dojde k restartu služby snmptrapd.'))));
	$mibDiv->addItem((new CDiv(_('SNMPTrapd service will be restarted immediately after file upload.'))));
	$mibDiv->addItem((new CTag('br')));
	
	$mibForm = new CForm('post', null, 'multipart/form-data');
		$mibFormList = (new CFormList());
		$mibFormList->addRow(_('MIB file'), (new CFile('mibfile'))->setWidth(ZBX_TEXTAREA_STANDARD_WIDTH));
		$mibForm->addItem($mibFormList);
		$mibForm->addItem(makeFormFooter(
			new CSubmit('import', _('Import')),
			[new CRedirectButton(_('Cancel'), $data['backurl'])]
		));
		$mibDiv->addItem($mibForm);



$snmpTab->addTab('mib', _('MIB'), $mibDiv);



//dalsi TAB
//$snmpTab->addTab('web2', _('Web SSL 2'), null);





// append form to widget
$snmpWidget->addItem($snmpTab);

return $snmpWidget;
