<?php

require_once dirname(__FILE__).'/include/config.inc.php';
//require_once dirname(__FILE__).'/include/page_header.php';
$pageHeader = new CPageHeader();
$theme = ZBX_DEFAULT_THEME;
$theme = getUserTheme(CWebUser::$data);
$pageHeader->addCssFile('styles/'.CHtml::encode($theme).'.css');
$pageHeader->display();

echo '<html>';
echo '<body style="padding:20px;">';
echo '<code>';
echo '<span class="grey">#!/bin/bash</span>'.'<br/>';
echo ''.'<br/>';
echo '<span class="grey"># Sample script for downloading latest \'configuration\' backup</span>'.'<br/>';
echo ''.'<br/>';
echo '<span class="grey"># Set Parameters</span>'.'<br/>';
echo 'USER="ZabbixSuperAdminUserLogin"				<span style="margin-left:5.0em" class="grey"># Zabbix Super Admin User</span>'.'<br/>';
echo 'PASS="ZabbixSuperAdminUserPassword"			<span style="margin-left:3.2em" class="grey"># User\'s password</span>'.'<br/>';
echo 'ZABBIX="https://127.0.0.1/zabbix"				<span style="margin-left:7.6em" class="grey"># Zabbix URL</span>'.'<br/>';
echo 'DOWNLOAD_FILE="configuration.tar"				<span style="margin-left:5.4em" class="grey"># Name for downloaded file</span>'.'<br/>';
echo ''.'<br/>';
echo '<span class="grey"># Login to Zabbix via API</span>'.'<br/>';
echo 'json_auth_data="{\"jsonrpc\": \"2.0\",\"method\": \"user.login\",\"params\":{	\"user\": \"$USER\",\"password\": \"$PASS\"},\"id\": 1, \"auth\": null}"'.'<br/>';
echo 'auth=$( /usr/bin/curl -s -k -X POST -H \'Accept: application/json\' -H \'Content-Type: application/json\' -d "${json_auth_data}" "${ZABBIX}/api_jsonrpc.php" | grep result | head -n 1 | cut -d \'"\' -f 8 )'.'<br/>';
echo ''.'<br/>';
echo '<span class="grey"># Download File</span>'.'<br/>';
echo '/usr/bin/curl -k --cookie "zbx_sessionid=${auth}" --output ${DOWNLOAD_FILE} "${ZABBIX}/elisa_backup_getfile.php?date=latest&type=configuration"'.'<br/>';
echo ''.'<br/>';
echo '<span class="grey"># Logout from Zabbix via API</span>'.'<br/>';
echo 'json_auth_data="{\"jsonrpc\": \"2.0\",\"method\": \"user.logout\",\"params\":[],\"id\": 1, \"auth\": \"$auth\"}"'.'<br/>';
echo '/usr/bin/curl -s -k -X POST -H \'Accept: application/json\' -H \'Content-Type: application/json\' -d "${json_auth_data}" "${ZABBIX}/api_jsonrpc.php"'.'<br/>';
echo ''.'<br/>';
echo '<span class="grey"># List downloaded file</span>'.'<br/>';
echo 'ls -la ${DOWNLOAD_FILE}'.'<br/>';
echo '</code>';


//require_once dirname(__FILE__).'/include/page_footer.php';

echo '</body>';
echo '</html>';

?>